IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_planesMttoEquipo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_planesMttoEquipo]
GO
CREATE  PROCEDURE [dbo].[sel_planesMttoEquipo] 
			@p_idEquipo int
		AS
		BEGIN
	
			SET NOCOUNT ON;

			select
				vf.id id_Visita,
				ce.id_equipo,
				ce.cnt_contrato_contrato cnt_contrato_contrato,
				convert(varchar(10),vf.fecha_ff,103) doc_documento_fecha_fh,
				case when ot.doc_documento_ot_prefijo = '' then '' else concat(ot.doc_documento_ot_prefijo, '-', ot.doc_documento_ot_documento_numero) end doc_documento_ot_centrocosto_id_documento_ot,
				cfc.ter_tercero_proveedor_tercero ter_tercero_tercero_proveedor,
				tm.[catalogo.tempario] cat_catalogo_tempario_catalogo_tempario,
				convert(varchar(10),(dateadd(dd,tm.[periodoDias], vf.fecha_ff)),103) doc_documento_ot_fechagarantia_ff
			from cnt_visitaFija vf 
				inner join view_cnt_contratoEquipo ce on vf.id_contratoEquipo = ce.id
				inner join [cat_catalogo.tempario] tm on vf.[id_catalogo.tempario]=tm.id
				left outer join view_doc_documento_ot ot on ot.id=vf.[id_documento.ot]
				left outer join view_cnt_configContrato cfc on ce.id = cfc.id_contratoEquipo
			where vf.active=1
				and ce.id_equipo = @p_idEquipo
				order by vf.fecha_ff desc
	END